# CEGUI::Config_xmlHandler Class Reference

Handler class used to parse the Configuration XML file. More...

Collaboration diagram for CEGUI::Config_xmlHandler:

[legend]
List of all members.

## Public Member Functions

| Config_xmlHandler (void)
| Constructor for GUILayout_xmlHandler objects.
virtual | ~Config_xmlHandler (void)
| Destructor for GUILayout_xmlHandler objects.
virtual void | elementStart (const String &element, const XMLAttributes &attributes)
| document processing (only care about elements, schema validates format)
const String & | getLogFilename (void) const
| Return log filename.
const String & | getSchemeFilename (void) const
| Return initial scheme filename to load.
const String & | getLayoutFilename (void) const
| Return initial layout filename to load and set as the GUI sheet.
const String & | getInitScriptFilename (void) const
| Return the name of the initialisation script to run.
const String & | getTermScriptFilename (void) const
| Return the name of the termination script to run.
const String & | getDefaultFontName (void) const
| Return name of font to use as default.
const String & | getDefaultResourceGroup (void) const
| Return name of default resource group.
LoggingLevel | getLoggingLevel (void) const
| Return logging level which was read from the config file.

## Detailed Description

Handler class used to parse the Configuration XML file.